> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nmbr.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve an adjustment



## OpenAPI

````yaml /spec/openapi.json get /adjustments/{adjustment}
openapi: 3.0.0
info:
  title: Nmbr API
  description: API to interact with Nmbr Payroll
  version: 1.0.0
servers:
  - url: https://sandbox.nmbr.co/services/payroll
security:
  - CompanyToken: []
tags:
  - name: Accounting Codes
  - name: Accounting Code Rules
  - name: Adjustments
  - name: Allowances
  - name: Allowance Line Items
  - name: Allowance Types
  - name: Async Tasks
  - name: Bank Accounts
  - name: Business Entities
  - name: Business Entity Verifications
  - name: Business Entity ROE Authorizations
  - name: Business Presets
  - name: Calculations
  - name: Companies
  - name: Contractors
  - name: Deductions
  - name: Deduction Line Items
  - name: Deduction Types
  - name: Earnings
  - name: Earning Line Items
  - name: Earning Types
  - name: Effective Tax Properties
  - name: Employees
  - name: Employee Benefits
  - name: Employee Benefit Line Items
  - name: Employee Benefit Types
  - name: Employer Benefits
  - name: Employer Benefit Line Items
  - name: Employer Benefit Types
  - name: Employer Statutory Withholding Line Items
  - name: Employer Statutory Withholding Types
  - name: Forms
  - name: Form Batches
  - name: Form Types
  - name: Holidays
  - name: Integrations
  - name: Journal Entries
  - name: Overtime Rates
  - name: Partners
  - name: Pay Rates
  - name: Pay Schedules
  - name: Pay Splits
  - name: Pay Stubs
  - name: Payments
  - name: Payrolls
  - name: Reimbursements
  - name: Reimbursement Line Items
  - name: Reimbursement Types
  - name: Remittance Accounts
  - name: Remittance Account Enrollments
  - name: Reports
  - name: Statutory Withholding Line Items
  - name: Statutory Withholding Types
  - name: Tags
  - name: Tag Groups
  - name: Tax Properties
  - name: Tax Property Templates
  - name: Tokens
  - name: Usage Records
  - name: Usage Summaries
  - name: Vacation Pay
  - name: Vacation Pay Settings
  - name: Webhooks
  - name: Work Assignments
paths:
  /adjustments/{adjustment}:
    get:
      tags:
        - Adjustments
      summary: Retrieve an adjustment
      operationId: adjustments-show
      parameters:
        - name: adjustment
          in: path
          schema:
            type: string
          required: true
        - name: expand
          in: query
          schema:
            type: array
            items:
              type: string
              enum:
                - correction_line_item
                - correction_pay_stub
                - source_line_item
          required: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: The unique identifier of the object in Nmbr.
                    readOnly: true
                  object:
                    type: string
                    description: The type of the object in Nmbr (`"adjustment"`).
                    readOnly: true
                  data:
                    type: object
                    allOf:
                      - $ref: '#/components/schemas/Adjustment'
                    anyOf:
                      - type: object
                        title: Default
                      - type: object
                        title: With correction_pay_stub expanded
                        properties:
                          correction_pay_stub:
                            type: object
                            properties:
                              data:
                                $ref: '#/components/schemas/PayStub'
              example:
                id: <id>
                object: adjustment
                data:
                  source_line_item:
                    id: <id>
                    object: earning_line_item
                    data:
                      pay_stub:
                        id: <id>
                        object: pay_stub
                        links:
                          self: /pay_stubs/<id>
                      amount: 10000
                      custom_amount: null
                      managed_amount: 10000
                      is_managed: true
                      line_item_type: earning
                      earning_type:
                        id: <id>
                        object: earning_type
                        data:
                          type: salary
                          label: Salary
                          supported_payroll_types:
                            regular: true
                            historical: true
                            off_cycle: true
                        links:
                          self: /earning_types/salary
                      hours: 173.33
                      managed_hours: 173.33
                      custom_hours: null
                      accrued_vacation_pay: 0
                      recurrence:
                        id: <id>
                        object: pay_rate
                        links:
                          self: /pay_rates/<id>
                      pay_rate:
                        id: <id>
                        object: pay_rate
                        links:
                          self: /pay_rates/<id>
                      overtime_rate: null
                      title: Salary Rate
                      title_translations: null
                      title_translated: Salary Rate
                      expense_accounting_code: null
                      managed_expense_accounting_code: null
                      custom_expense_accounting_code: null
                      liability_accounting_code: null
                      managed_liability_accounting_code: null
                      custom_liability_accounting_code: null
                      business_preset: null
                      source_adjustment: null
                      component_settings:
                        attributes_locked: false
                      earned_on: null
                      managed_earned_on: null
                      custom_earned_on: null
                      external_ref: null
                      created_at: '2026-01-01T00:00:00.000000Z'
                      updated_at: '2026-01-01T00:00:00.000000Z'
                    links:
                      self: /earning_line_items/<id>
                  correction_line_item:
                    id: <id>
                    object: earning_line_item
                    data:
                      pay_stub:
                        id: <id>
                        object: pay_stub
                        links:
                          self: /pay_stubs/<id>
                      amount: -8900
                      custom_amount: null
                      managed_amount: -8900
                      is_managed: false
                      line_item_type: earning
                      earning_type:
                        id: <id>
                        object: earning_type
                        data:
                          type: salary
                          label: Salary
                          supported_payroll_types:
                            regular: true
                            historical: true
                            off_cycle: true
                        links:
                          self: /earning_types/salary
                      hours: null
                      managed_hours: null
                      custom_hours: null
                      accrued_vacation_pay: 0
                      recurrence: null
                      pay_rate: null
                      overtime_rate: null
                      title: Salary Rate Adjustment
                      title_translations:
                        en: Salary Rate Adjustment
                        fr: Rajustement Salary Rate
                      title_translated: Salary Rate Adjustment
                      expense_accounting_code: null
                      managed_expense_accounting_code: null
                      custom_expense_accounting_code: null
                      liability_accounting_code: null
                      managed_liability_accounting_code: null
                      custom_liability_accounting_code: null
                      business_preset: null
                      source_adjustment:
                        id: <id>
                        object: adjustment
                        links:
                          self: /adjustments/<id>
                      component_settings:
                        attributes_locked: false
                      earned_on: null
                      managed_earned_on: null
                      custom_earned_on: null
                      external_ref: null
                      created_at: '2026-01-01T00:00:00.000000Z'
                      updated_at: '2026-01-01T00:00:00.000000Z'
                    links:
                      self: /earning_line_items/<id>
                  correction_pay_stub:
                    id: <id>
                    object: pay_stub
                    links:
                      self: /pay_stubs/<id>
                  type: earning
                  subtype: salary
                  expected_amount: 1100
                  admin_note: null
                  external_ref: null
                  created_at: '2026-01-01T00:00:00.000000Z'
                  updated_at: '2026-01-01T00:00:00.000000Z'
                links:
                  self: /adjustments/<id>
components:
  schemas:
    Adjustment:
      type: object
      title: Adjustment
      properties:
        source_line_item:
          type: object
          properties:
            id:
              type: string
              description: The unique identifier of the object in Nmbr.
              readOnly: true
            object:
              type: string
              description: The type of the object in Nmbr (`"earning_line_item"`).
              readOnly: true
            data:
              $ref: '#/components/schemas/LineItem'
        correction_line_item:
          type: object
          properties:
            id:
              type: string
              description: The unique identifier of the object in Nmbr.
              readOnly: true
            object:
              type: string
              description: The type of the object in Nmbr (`"earning_line_item"`).
              readOnly: true
            data:
              $ref: '#/components/schemas/LineItem'
        correction_pay_stub:
          type: object
          properties:
            id:
              type: string
              description: The unique identifier of the object in Nmbr.
              readOnly: true
            object:
              type: string
              description: The type of the object in Nmbr (`"pay_stub"`).
              readOnly: true
        type:
          type: string
          nullable: true
          maxLength: 255
        subtype:
          type: string
          nullable: true
          maxLength: 255
        expected_amount:
          type: number
          format: decimal
        admin_note:
          type: string
          nullable: true
        external_ref:
          type: string
          description: >-
            A reference to the object in an external system, e.g. the primary
            key of the object in your application's database. Nmbr doesn't use,
            validate, parse, or require this value to be unique - it simply
            stores it for your reference.
          nullable: true
          maxLength: 255
        created_at:
          type: string
          description: The date and time the object was created in Nmbr.
          readOnly: true
          format: dateTime
        updated_at:
          type: string
          description: The date and time the object was last updated in Nmbr.
          readOnly: true
          format: dateTime
    PayStub:
      type: object
      title: Pay Stub
      properties:
        payroll:
          type: object
          properties:
            id:
              type: string
              description: The unique identifier of the object in Nmbr.
              readOnly: true
            object:
              type: string
              description: The type of the object in Nmbr (`"payroll"`).
              readOnly: true
        work_assignment:
          type: object
          properties:
            id:
              type: string
              description: The unique identifier of the object in Nmbr.
              readOnly: true
            object:
              type: string
              description: The type of the object in Nmbr (`"work_assignment"`).
              readOnly: true
        payment_method:
          type: string
          description: The payment method for this pay stub.
          enum:
            - direct_deposit
            - manual
            - pad
            - wire
        has_taxes_calculated:
          type: boolean
          description: >-
            Whether tax amounts have been calculated for this pay stub. When
            `false`, amounts in the `employee_summary` and `company_summary` may
            be incomplete.
        is_pending_tax_rates:
          type: boolean
          description: This attribute is deprecated and will be removed.
          deprecated: true
        employee_summary:
          type: object
          description: >-
            A summary of pay for the Employee associated with this pay stub.
            Both `employee_summary` and `contractor_summary` are always present.
            The summary that does not apply is empty rather than omitted, and
            its amounts may be `null` before summaries are calculated. For
            calculated summaries, the side with a non-null `net` is the
            populated summary. `*_ytd` fields contain year-to-date totals
            inclusive of this pay period.
          nullable: true
          properties:
            gross:
              type: number
              description: The sum of all earnings and allowances.
              nullable: true
              format: decimal
            subtractions:
              type: number
              description: The total of all deductions, taxes, and benefit contributions.
              nullable: true
              format: decimal
            reimbursements:
              type: number
              description: The total of non-taxable reimbursements.
              nullable: true
              format: decimal
            net:
              type: number
              description: The Employee net pay; when negative, a warning is included.
              nullable: true
              format: decimal
            gross_ytd:
              type: number
              nullable: true
              format: decimal
            subtractions_ytd:
              type: number
              nullable: true
              format: decimal
            reimbursements_ytd:
              type: number
              nullable: true
              format: decimal
            net_ytd:
              type: number
              nullable: true
              format: decimal
        contractor_summary:
          type: object
          description: >-
            A summary of pay for the Contractor associated with this pay stub.
            Always present. For calculated summaries, a non-null
            `contractor_summary.net` means the contractor summary is populated.
            `*_ytd` fields contain year-to-date totals inclusive of this pay
            period.
          nullable: true
          properties:
            gross:
              description: The sum of all earnings.
            reimbursements:
              description: The total of non-taxable reimbursements.
            net:
              description: The Contractor net pay.
            gross_ytd:
              type: number
              nullable: true
              format: decimal
            reimbursements_ytd:
              type: number
              nullable: true
              format: decimal
            net_ytd:
              type: number
              nullable: true
              format: decimal
        company_summary:
          type: object
          description: >-
            A summary of the company's obligations for this pay stub. `*_ytd`
            fields contain year-to-date totals inclusive of this pay period.
          nullable: true
          properties:
            taxes_and_contributions:
              type: number
              description: The employer share of statutory remittances (CPP and EI).
              nullable: true
              format: decimal
            benefits:
              type: number
              description: The total of employer benefit contributions.
              nullable: true
              format: decimal
            total:
              type: number
              description: The company's total obligations.
              nullable: true
              format: decimal
            taxes_and_contributions_ytd:
              type: number
              nullable: true
              format: decimal
            benefits_ytd:
              type: number
              nullable: true
              format: decimal
            total_ytd:
              type: number
              nullable: true
              format: decimal
        vacation_pay_balance:
          type: number
          description: >-
            The Employee's Vacation Pay balance as of the end of this pay
            period. `null` for Contractor pay stubs.
          nullable: true
          format: decimal
        liability:
          type: number
          description: >-
            The total amount owed by the company for this pay stub, including
            Employee or Contractor net pay, employer tax contributions, and
            employer benefit contributions.
          nullable: true
          format: decimal
        cash_requirement:
          type: number
          description: >-
            The total amount that will be debited from the company's account for
            this pay stub when the Payroll is approved.
          nullable: true
          format: decimal
        note:
          type: string
          description: An optional note on the pay stub, visible to the partner.
          nullable: true
        line_item_summary:
          type: object
          description: >-
            Totals grouped by line item category for this pay stub. Each
            category includes a `period` total for the current pay period and a
            `ytd` total for the calendar year to date. Categories: `earnings`,
            `statutory_withholdings`, `reimbursements`, `allowances`,
            `employee_benefits`, `employer_benefits`, `deductions`.
          nullable: true
          properties:
            earnings:
              type: object
              nullable: true
              properties:
                period:
                  type: number
                  nullable: true
                  format: decimal
                period_managed:
                  type: number
                  nullable: true
                  format: decimal
                period_unmanaged:
                  type: number
                  nullable: true
                  format: decimal
                ytd:
                  type: number
                  nullable: true
                  format: decimal
            statutory_withholdings:
              type: object
              nullable: true
              properties:
                period:
                  type: number
                  nullable: true
                  format: decimal
                ytd:
                  type: number
                  nullable: true
                  format: decimal
            reimbursements:
              type: object
              nullable: true
              properties:
                period:
                  type: number
                  nullable: true
                  format: decimal
                ytd:
                  type: number
                  nullable: true
                  format: decimal
            allowances:
              type: object
              nullable: true
              properties:
                period:
                  type: number
                  nullable: true
                  format: decimal
                ytd:
                  type: number
                  nullable: true
                  format: decimal
            benefits:
              type: object
              nullable: true
              properties:
                period:
                  type: number
                  nullable: true
                  format: decimal
                ytd:
                  type: number
                  nullable: true
                  format: decimal
            employee_benefits:
              type: object
              nullable: true
              properties:
                period:
                  type: number
                  nullable: true
                  format: decimal
                ytd:
                  type: number
                  nullable: true
                  format: decimal
            employer_benefits:
              type: object
              nullable: true
              properties:
                period:
                  type: number
                  nullable: true
                  format: decimal
                ytd:
                  type: number
                  nullable: true
                  format: decimal
            deductions:
              type: object
              nullable: true
              properties:
                period:
                  type: number
                  nullable: true
                  format: decimal
                ytd:
                  type: number
                  nullable: true
                  format: decimal
        is_stale:
          type: boolean
          description: >-
            Whether the pay stub's tax calculations are out of date. When
            `true`, `stale_since` indicates when the pay stub became stale.
        stale_since:
          type: string
          description: >-
            The timestamp at which the pay stub's tax calculations became stale
            and need to be recalculated. `null` if the pay stub is up to date.
          readOnly: true
          nullable: true
          format: dateTime
        warnings:
          type: object
          description: >-
            A collection of data validation warnings for this pay stub. Warnings
            indicate incomplete or potentially incorrect data and could prevent
            payroll processing.
          nullable: true
          properties:
            object:
              type: string
              nullable: true
            data:
              type: object
              nullable: true
        external_ref:
          type: string
          description: >-
            A reference to the object in an external system, e.g. the primary
            key of the object in your application's database. Nmbr doesn't use,
            validate, parse, or require this value to be unique - it simply
            stores it for your reference.
          nullable: true
          maxLength: 255
        apply_standard_tax_reductions:
          type: boolean
          description: >-
            When `true`, the standard tax reductions are applied to this pay
            stub's withholdings even in cases where they would otherwise be
            skipped to avoid applying them twice across related runs in the same
            period. In Canada these reductions are the employee's federal and
            provincial personal tax credits (their TD1 claim amounts) and the
            CPP/QPP basic exemption. Defaults to `false`, and has no effect
            where those reductions already apply.
        created_at:
          type: string
          description: The date and time the object was created in Nmbr.
          readOnly: true
          format: dateTime
        updated_at:
          type: string
          description: The date and time the object was last updated in Nmbr.
          readOnly: true
          format: dateTime
    LineItem:
      type: object
  securitySchemes:
    CompanyToken:
      type: http
      scheme: bearer

````